Skip to main content
POST
/
org
/
{org}
/
serviceaccount
/
-query
Get all service accounts based on a query
curl --request POST \
  --url https://api.cpln.io/org/{org}/serviceaccount/-query \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "<string>",
  "spec": {
    "match": "all",
    "terms": [
      {
        "op": "=",
        "property": "<string>",
        "rel": "<string>",
        "tag": "<string>",
        "value": "<string>"
      }
    ],
    "sort": {
      "by": "<string>",
      "order": "asc"
    }
  }
}
'
import requests

url = "https://api.cpln.io/org/{org}/serviceaccount/-query"

payload = {
"kind": "<string>",
"spec": {
"match": "all",
"terms": [
{
"op": "=",
"property": "<string>",
"rel": "<string>",
"tag": "<string>",
"value": "<string>"
}
],
"sort": {
"by": "<string>",
"order": "asc"
}
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
spec: {
match: 'all',
terms: [
{
op: '=',
property: '<string>',
rel: '<string>',
tag: '<string>',
value: '<string>'
}
],
sort: {by: '<string>', order: 'asc'}
}
})
};

fetch('https://api.cpln.io/org/{org}/serviceaccount/-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "kind": "<string>",
  "items": [
    {}
  ],
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ],
  "query": {
    "kind": "<string>",
    "context": {},
    "spec": {
      "match": "all",
      "terms": [
        {
          "op": "=",
          "property": "<string>",
          "rel": "<string>",
          "tag": "<string>",
          "value": "<string>"
        }
      ],
      "sort": {
        "by": "<string>",
        "order": "asc"
      }
    }
  }
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required

Body

application/json
kind
string
spec
object

Response

Success

kind
string
itemKind
enum<string>
Available options:
org,
cloudaccount,
policy,
user,
group,
resource,
task,
permissions,
serviceaccount,
secret,
location,
gvc,
workload,
quota,
identity,
deployment,
event,
domain,
image,
ipset,
resourcepolicy,
agent,
accessreport,
policymembership,
dbcluster,
auditctx,
memcachecluster,
spicedbcluster,
tenant,
mk8s,
command,
imagesummary,
volumeset
items
object[]
query
object